## net.sf.saxon.trace
Interface InstructionInfoProvider

All Known Implementing Classes:
  AttributeSet, ComputedExpression, Controller, InstructionDetails, KeyDefinition, Template, UserFunction, UserFunctionCall

public interface InstructionInfoProvider

An InstructionInfoProvider is an object that is capable of providing an InstructionInfo object which provides diagnostic information about an instruction or other construct such as a function, template, expression, or pattern.

Method Summary
`InstructionInfo` `getInstructionInfo()` Get the InstructionInfo details about the construct

Method Detail

### getInstructionInfo

    public InstructionInfo getInstructionInfo()

  Get the InstructionInfo details about the construct